Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.foundation
Class ConfigurableEntityImpl

    java.lang.Object
      |
      +--theory.smart.foundation.EntityImpl
            |
            +--theory.smart.foundation.ConfigurableEntityImpl

Direct Known Subclasses:
  AccountImpl, ItemImpl, UnitConversionImpl

public abstract class ConfigurableEntityImpl
extends EntityImpl
implements Configurable, BusinessPolicyManager, EntityBean

This is the implementation of the Configurable Entity that combines the pluggable method features of Business Policy, Runtime Configuration, and Persistence. For each remote interface that is derived from the ConfigurableEntity, there must be an equivalent ConfigurableEntityImpl that mirrors its methods.

See Also:
  `ConfigurableEntity`, Serialized Form

Fields inherited from class theory.smart.foundation.EntityImpl
`ctx, isDirty, isLoaded`

Constructor Summary
`ConfigurableEntityImpl()`

Method Summary
`void` | `addBusinessPolicy(java.lang.String policyKey, BusinessPolicy businessPolicy)` Add a BusinessPolicy to this entity.
`void` | `addProperty(java.lang.String key, java.lang.Object property)` Add a property to this Entity; index by key
`void` | `ejbActivate()` ejbActivate method.
`void` | `ejbCreate(SmartKey key)` ejbCreate method.
`void` | `ejbLoad()` ejbLoad method.
`void` | `ejbPassivate()` ejbPassivate method.
`void` | `ejbPostCreate(SmartKey key)`
`void` | `ejbRemove()` ejbRemove method.
`void` | `ejbStore()` ejbStore method.
`BusinessPolicy` | `getBusinessPolicy(java.lang.String policyKey)` Retrieve a BusinessPolicy from this entity.
`java.lang.Object` | `getProperty(java.lang.String key)` Retrieve the value associated with the string.
`BusinessPolicy` | `removeBusinessPolicy(java.lang.String policyKey)` Remove a BusinessPolicy from this entity.
`java.lang.Object` | `removeProperty(java.lang.String key)` Remove property from this ConfigurableEntity
`void` | `setSuccessorAtClassLevel(ConfigurableEntity successor)` This sets the successor at class level.
`void` | `setSuccessorAtInstanceLevel(ConfigurableEntity successor)` This sets the successor at the instance level.

Methods inherited from class theory.smart.foundation.EntityImpl
`ejbCreateInitVars, getEntityContext, isModified, setEntityContext, unsetEntityContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigurableEntityImpl

    public ConfigurableEntityImpl()

Method Detail

### addBusinessPolicy

    public final void addBusinessPolicy(java.lang.String policyKey,
                                        BusinessPolicy businessPolicy)
                                 throws java.rmi.RemoteException

  Add a BusinessPolicy to this entity.
  Specified by:
    addBusinessPolicy in interface BusinessPolicyManager

### addProperty

    public final void addProperty(java.lang.String key,
                                  java.lang.Object property)
                           throws java.rmi.RemoteException

  Add a property to this Entity; index by key
  Specified by:
    addProperty in interface Configurable
  Parameters:
    `key` - java.lang.String
    `property` - java.lang.Object

### ejbActivate

    public void ejbActivate()
                     throws java.rmi.RemoteException

  Description copied from class: EntityImpl
  ejbActivate method.
  Specified by:
    ejbActivate in interface EntityBean
  Overrides:
    ejbActivate in class EntityImpl

### ejbCreate

    public void ejbCreate(SmartKey key)
                   throws CreateException,
                          java.rmi.RemoteException

  Description copied from class: EntityImpl
  ejbCreate method.
  Overrides:
    ejbCreate in class EntityImpl

### ejbLoad

    public void ejbLoad()
                 throws java.rmi.RemoteException

  Description copied from class: EntityImpl
  ejbLoad method.
  Specified by:
    ejbLoad in interface EntityBean
  Overrides:
    ejbLoad in class EntityImpl

### ejbPassivate

    public void ejbPassivate()
                      throws java.rmi.RemoteException

  Description copied from class: EntityImpl
  ejbPassivate method.
  Specified by:
    ejbPassivate in interface EntityBean
  Overrides:
    ejbPassivate in class EntityImpl

### ejbPostCreate

    public void ejbPostCreate(SmartKey key)
                       throws CreateException,
                              java.rmi.RemoteException

  Overrides:
    ejbPostCreate in class EntityImpl

### ejbRemove

    public void ejbRemove()
                   throws java.rmi.RemoteException,
                          RemoveException

  Description copied from class: EntityImpl
  ejbRemove method.
  Specified by:
    ejbRemove in interface EntityBean
  Overrides:
    ejbRemove in class EntityImpl

### ejbStore

    public void ejbStore()
                  throws java.rmi.RemoteException

  Description copied from class: EntityImpl
  ejbStore method.
  Specified by:
    ejbStore in interface EntityBean
  Overrides:
    ejbStore in class EntityImpl

### getBusinessPolicy

    public final BusinessPolicy getBusinessPolicy(java.lang.String policyKey)
                                           throws java.rmi.RemoteException

  Retrieve a BusinessPolicy from this entity. The same chain of responsibility applies here.
  Specified by:
    getBusinessPolicy in interface BusinessPolicyManager

### getProperty

    public final java.lang.Object getProperty(java.lang.String key)
                                       throws java.rmi.RemoteException

  Description copied from interface: Configurable
  Retrieve the value associated with the string.
  Specified by:
    getProperty in interface Configurable
  Tags copied from interface: Configurable
  Parameters:
    `key` - java.lang.String

### removeBusinessPolicy

    public final BusinessPolicy removeBusinessPolicy(java.lang.String policyKey)
                                              throws java.rmi.RemoteException

  Remove a BusinessPolicy from this entity.
  Specified by:
    removeBusinessPolicy in interface BusinessPolicyManager

### removeProperty

    public final java.lang.Object removeProperty(java.lang.String key)
                                          throws java.rmi.RemoteException

  Remove property from this ConfigurableEntity
  Specified by:
    removeProperty in interface Configurable
  Tags copied from interface: Configurable
  Parameters:
    `key` - java.lang.String

### setSuccessorAtClassLevel

    public final void setSuccessorAtClassLevel(ConfigurableEntity successor)
                                        throws java.rmi.RemoteException

  This sets the successor at class level. For all instances of this ConfigurableEntity such they all shared the same sucessor. Note: Successor at instance level has precedence over successor at class level.
  Parameters:
    `successor` -
  See Also:
    `setSuccessorAtInstanceLevel(theory.smart.foundation.ConfigurableEntity)`

### setSuccessorAtInstanceLevel

    public final void setSuccessorAtInstanceLevel(ConfigurableEntity successor)
                                           throws java.rmi.RemoteException

  This sets the successor at the instance level. For this particular instance of ConfigurableEntity, it has this successor to pass the chain of responsibility. Note: Successor at instance level has precedence over successor at class level.
  Parameters:
    `successor.` -
  See Also:
    `setSuccessorAtClassLevel(theory.smart.foundation.ConfigurableEntity)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.